XML Editor
Sign up for a WebBoard account Sign Up Keyword Search Search More Options... Options
Chat Rooms Chat Help Help News News Log in to WebBoard Log in Not Logged in
Show tree view Topic
Topic Page 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 Go to previous topicPrev TopicGo to next topicNext Topic
Postnext
MS ChenSubject: WindowsXP problem using Stylus
Author: MS Chen
Date: 25 May 2004 01:42 AM
If u have 1.3 and 1.4 Java version installed in WindowsXP, u will face
Stylus crash problem when trying to convert XSL-FO.

Message show:
Post processing starting...
Registry key 'Software\JavaSoft\Java Runtime Environment\CurrentVersion'
has value '1.3', but '1.4' is required.
Error: could not find java.dll
Error: could not find Java 2 Runtime Environment.
Post processing finished....

Anyway to resolve this problem please ?

Thank you.

Postnext
Ivan PedruzziSubject: RE: WindowsXP problem using Stylus
Author: Ivan Pedruzzi
Date: 25 May 2004 08:57 AM


> -----Original Message-----
> From: stylus-studio-tech Listmanager
[mailto:stylus-studio-tech.listmanager@stylusstudio.com]
> Sent: Tuesday, May 25, 2004 1:44 AM
> Subject: WindowsXP problem using Stylus
>
> From: MS Chen
>

MS Chen,

What you are experiencing is JVM versioning problem.
It should be easy to reproduce outside stylus:

Open a DOS console (Start Menu -> Run -> type cmd) then execute java;
you should get the same error.

Your system has 1.3 and 1.4. As you probably know almost every Java
installation does the follow

1) Modify the Registry entry
HKEY_LOCAL_MACHINE\
SOFTWARE\
JavaSoft\
Java Runtime Environment\
CurrentVersion

2) copy java.exe (and other support files) into the windows system
directory, so you can execute java without setting your PATH

It seems like that step 2 didn't happen for you

From what package did you to install Java 1.4?

Here 2 possible solutions:

1) Update the system PATH with the JRE bin
In my system for instance is

c:\Program Files\Java\j2re1.4.2\bin

2) Install the JRE 1.4 from Sun

http://java.sun.com/j2se/1.4.2/download.html

Click on "Download J2SE JRE"

Ivan




> If u have 1.3 and 1.4 Java version installed in WindowsXP, u will face
> Stylus crash problem when trying to convert XSL-FO.
>
> Message show:
> Post processing starting...
> Registry key 'Software\JavaSoft\Java Runtime
Environment\CurrentVersion'
> has value '1.3', but '1.4' is required.
> Error: could not find java.dll
> Error: could not find Java 2 Runtime Environment.
> Post processing finished....
>
> Anyway to resolve this problem please ?
>
> Thank you.
>
>
> --
> To reply: mailto:stylus-studio-tech.7511@stylusstudio.com
> To start a new topic: mailto:stylus-studio-tech@stylusstudio.com
> To login: http://www.stylusstudio.com/SSDN/
> To (un)subscribe:
mailto:stylus-studio-tech.list-request@stylusstudio.com
>

Postnext
MS ChenSubject: RE: WindowsXP problem using Stylus
Author: MS Chen
Date: 25 May 2004 07:10 PM
Dear Ivan, It didn't work. I have checked regedit, it shows currentversion is 1.3. We have install 1.3 and 1.4 Java Runtime.

Postnext
Ivan PedruzziSubject: RE: WindowsXP problem using Stylus
Author: Ivan Pedruzzi
Date: 25 May 2004 07:29 PM
Originally Posted: 25 May 2004 07:30 PM

Try this simple test

Open a DOS console and go to

c:\Program Files\SonicSoftware\Stylus Studio\bin

then

SET PATH="c:\Program Files\Java\j2re1.4.1_02\bin"

then execute struzzo.exe and see what happens


Thanks
Ivan


> -----Original Message-----
> From: stylus-studio-tech Listmanager
[mailto:stylus-studio-tech.listmanager@stylusstudio.com]
> Sent: Tuesday, May 25, 2004 7:13 PM
> Subject: RE: WindowsXP problem using Stylus
>
> From: MS Chen
>
> Dear Ivan,
>
> It didn't work. I have checked regedit, it shows currentversion is
1.3.
> We have install 1.3 and 1.4 Java Runtime.
>
>
> --
> To reply: mailto:stylus-studio-tech.7513@stylusstudio.com
> To start a new topic: mailto:stylus-studio-tech@stylusstudio.com
> To login: http://www.stylusstudio.com/SSDN/
> To (un)subscribe:
mailto:stylus-studio-tech.list-request@stylusstudio.com
>

Postnext
MS ChenSubject: RE: WindowsXP problem using Stylus
Author: MS Chen
Date: 25 May 2004 07:38 PM
C:\Program Files\eXcelon Corp\Stylus Studio\bin>set path=C:\Program Files\JavaSo
ft\JRE\1.4.2\bin

C:\Program Files\eXcelon Corp\Stylus Studio\bin>echo %path%
C:\Program Files\JavaSoft\JRE\1.4.2\bin

C:\Program Files\eXcelon Corp\Stylus Studio\bin>Struzzo.exe

Same thing happened.

Thanks.

Postnext
Ivan PedruzziSubject: RE: WindowsXP problem using Stylus
Author: Ivan Pedruzzi
Date: 25 May 2004 08:07 PM




Could you try to set the registry entry

HKEY_LOCAL_MACHINE\
SOFTWARE\
JavaSoft\
Java Runtime Environment\
CurrentVersion

To 1.4?



Ivan

> -----Original Message-----
> From: stylus-studio-tech Listmanager
[mailto:stylus-studio-tech.listmanager@stylusstudio.com]
> Sent: Tuesday, May 25, 2004 7:41 PM
> Subject: RE: WindowsXP problem using Stylus
>
> From: MS Chen
>
> C:\Program Files\eXcelon Corp\Stylus Studio\bin>set
path=C:\Program
Files\JavaSo
> ft\JRE\1.4.2\bin
>
> C:\Program Files\eXcelon Corp\Stylus Studio\bin>echo %path%
> C:\Program Files\JavaSoft\JRE\1.4.2\bin
>
> C:\Program Files\eXcelon Corp\Stylus Studio\bin>Struzzo.exe
>
> Same thing happened.
>
> Thanks.
>
>
>
>
> --
> To reply: mailto:stylus-studio-tech.7515@stylusstudio.com
> To start a new topic: mailto:stylus-studio-tech@stylusstudio.com
> To login: http://www.stylusstudio.com/SSDN/
> To (un)subscribe:
mailto:stylus-studio-tech.list-request@stylusstudio.com
>

Postnext
MS ChenSubject: RE: WindowsXP problem using Stylus
Author: MS Chen
Date: 25 May 2004 08:15 PM
Dear Ivan,

It is working find with 1.4 now but we need to use 1.3 due to our
App Server are using 1.3.
How can we change this please ?
Furthermore, what are the possible problems will occur if using 1.4 now
but deploy in 1.3 ?

Thank you.

C.

Posttop
Ivan PedruzziSubject: RE: WindowsXP problem using Stylus
Author: Ivan Pedruzzi
Date: 25 May 2004 09:22 PM


> -----Original Message-----
> From: stylus-studio-tech Listmanager
[mailto:stylus-studio-tech.listmanager@stylusstudio.com]
> Sent: Tuesday, May 25, 2004 8:18 PM
> Subject: RE: WindowsXP problem using Stylus
>
> From: MS Chen
>
> Dear Ivan,
>




> It is working find with 1.4 now but we need to use 1.3 due to our
> App Server are using 1.3.
> How can we change this please ?

If you don't need 1.4 why don't you re-configure your system to use just
1.3?

Reset the registry key to 1.3 and put the c:\Program
Files\JavaSoft\JRE\1.3.1_08\bin
In your path.

There isn't much we can do; only one runtime at time can be active.


> Furthermore, what are the possible problems will occur if using 1.4
now
> but deploy in 1.3 ?

What deployment you are referring to?
FOP can be executed using both 1.3 and 1.4.





>
> Thank you.
>
> C.
>
>
> --
> To reply: mailto:stylus-studio-tech.7517@stylusstudio.com
> To start a new topic: mailto:stylus-studio-tech@stylusstudio.com
> To login: http://www.stylusstudio.com/SSDN/
> To (un)subscribe:
mailto:stylus-studio-tech.list-request@stylusstudio.com
>

 
Topic Page 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 Go to previous topicPrev TopicGo to next topicNext Topic
Download A Free Trial of Stylus Studio 6 XML Professional Edition Today! Powered by Stylus Studio, the world's leading XML IDE for XML, XSLT, XQuery, XML Schema, DTD, XPath, WSDL, XHTML, SQL/XML, and XML Mapping!  
go

Log In Options

Site Map | Privacy Policy | Terms of Use | Trademarks
Stylus Scoop XML Newsletter:
W3C Member
Stylus Studio® and DataDirect XQuery ™are from DataDirect Technologies, is a registered trademark of Progress Software Corporation, in the U.S. and other countries. © 2004-2011 All Rights Reserved.